import { Component } from 'react';
import { LoadingProps as NextLoadingProps } from '@alifd/next/types/loading';
interface LoadingTypeProps {
    type?: 'circle' | 'linear' | 'global_linear';
}
interface LoadingProps extends Omit<NextLoadingProps, 'size'>, LoadingTypeProps {
    size?: 'xl' | 'large' | 'medium' | 'small';
}
declare class Loading extends Component<LoadingProps> {
    readonly state: {
        isAnimating: boolean;
        key: number;
    };
    render(): JSX.Element;
}
declare const _default: typeof Loading;
export default _default;
